Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v11
Interface LibertyURI

public interface LibertyURI

Defined URI string constants for Phaos_Liberty.

Field Summary
`static java.lang.String` | `ns_ac` URI for the Liberty Authentication Context namespace "http://projectliberty.org/schemas/authctx/2002/05".
`static java.lang.String` | `ns_liberty` URI for the Liberty namespace "http://projectliberty.org/schemas/core/2002/12".
`static java.lang.String` | `ns_xsi` Namespace URI for the W3C XML schema instance "http://www.w3.org/2001/XMLSchema-instance".
`static java.lang.String` | `obj_ac_classes` Base URI for the Liberty Authentication Context Classes "http://www.projectliberty.org/schemas/authctx/classes".
`static java.lang.String` | `prof_brws_art` URI identifying the Liberty browser artifact profile "http://projectliberty.org/profiles/brws-art".
`static java.lang.String` | `prof_brws_post` URI identifying the Liberty browser post profile "http://projectliberty.org/profiles/brws-post".
`static java.lang.String` | `prof_fedterm_idp_http` URI identifying the profile of HTTP-Rediect-Based federation termination notification initialized at identity provider "http://projectliberty.org/profiles/fedterm-idp-http".
`static java.lang.String` | `prof_fedterm_idp_soap` URI identifying the profile of SOAP/HTTP-Rediect-Based federation termination notification initialized at identity provider "http://projectliberty.org/profiles/fedterm-idp-soap".
`static java.lang.String` | `prof_fedterm_sp_http` URI identifying the profile of HTTP-Rediect-Based federation termination notification initialized at service provider "http://projectliberty.org/profiles/fedterm-sp-http".
`static java.lang.String` | `prof_fedterm_sp_soap` URI identifying the profile of SOAP/HTTP-Rediect-Based federation termination notification initialized at service provider "http://projectliberty.org/profiles/fedterm-sp-soap".
`static java.lang.String` | `prof_lecp` URI identifying the Liberty-Enabled client and proxy profile (LECP) "http://projectliberty.org/profiles/lecp".
`static java.lang.String` | `prof_rni_idp_http` URI identifying the profile of HTTP-Rediect-Based register name identifier initialized at identity provider "http://projectliberty.org/profiles/rni-idp-http".
`static java.lang.String` | `prof_rni_idp_soap` URI identifying the profile of SOAP/HTTP-Rediect-Based register name identifier initialized at identity provider "http://projectliberty.org/profiles/rni-idp-soap".
`static java.lang.String` | `prof_rni_sp_http` URI identifying the profile of HTTP-Rediect-Based register name identifier initialized at service provider "http://projectliberty.org/profiles/rni-sp-http".
`static java.lang.String` | `prof_rni_sp_soap` URI identifying the profile of SOAP/HTTP-Rediect-Based register name identifier initialized at service provider "http://projectliberty.org/profiles/rni-sp-soap".
`static java.lang.String` | `prof_slo_idp_http` URI identifying the profile of HTTP-Rediect-Based single logout initialized at identity provider "http://projectliberty.org/profiles/slo-idp-http".
`static java.lang.String` | `prof_slo_idp_soap` URI identifying the profile of SOAP/HTTP-Rediect-Based single logout initialized at identity provider "http://projectliberty.org/profiles/slo-idp-soap".
`static java.lang.String` | `prof_slo_sp_http` URI identifying the profile of HTTP-Rediect-Based single logout initialized at service provider "http://projectliberty.org/profiles/slo-sp-http".
`static java.lang.String` | `prof_slo_sp_soap` URI identifying the profile of SOAP/HTTP-Rediect-Based single logout initialized at service provider "http://projectliberty.org/profiles/slo-sp-soap".
`static java.lang.String` | `prof_wml_post` URI identifying the Liberty WML post profile "http://projectliberty.org/profiles/wml-post".

Field Detail

### ns_xsi

    public static final java.lang.String ns_xsi

  Namespace URI for the W3C XML schema instance "http://www.w3.org/2001/XMLSchema-instance".
  See Also:
    Constant Field Values

### ns_liberty

    public static final java.lang.String ns_liberty

  URI for the Liberty namespace "http://projectliberty.org/schemas/core/2002/12".
  See Also:
    Constant Field Values

### ns_ac

    public static final java.lang.String ns_ac

  URI for the Liberty Authentication Context namespace "http://projectliberty.org/schemas/authctx/2002/05".
  See Also:
    Constant Field Values

### obj_ac_classes

    public static final java.lang.String obj_ac_classes

  Base URI for the Liberty Authentication Context Classes "http://www.projectliberty.org/schemas/authctx/classes".
  See Also:
    Constant Field Values

### prof_brws_art

    public static final java.lang.String prof_brws_art

  URI identifying the Liberty browser artifact profile "http://projectliberty.org/profiles/brws-art".
  See Also:
    Constant Field Values

### prof_brws_post

    public static final java.lang.String prof_brws_post

  URI identifying the Liberty browser post profile "http://projectliberty.org/profiles/brws-post".
  See Also:
    Constant Field Values

### prof_wml_post

    public static final java.lang.String prof_wml_post

  URI identifying the Liberty WML post profile "http://projectliberty.org/profiles/wml-post".
  See Also:
    Constant Field Values

### prof_lecp

    public static final java.lang.String prof_lecp

  URI identifying the Liberty-Enabled client and proxy profile (LECP) "http://projectliberty.org/profiles/lecp".
  See Also:
    Constant Field Values

### prof_rni_idp_http

    public static final java.lang.String prof_rni_idp_http

  URI identifying the profile of HTTP-Rediect-Based register name identifier initialized at identity provider "http://projectliberty.org/profiles/rni-idp-http".
  See Also:
    Constant Field Values

### prof_rni_idp_soap

    public static final java.lang.String prof_rni_idp_soap

  URI identifying the profile of SOAP/HTTP-Rediect-Based register name identifier initialized at identity provider "http://projectliberty.org/profiles/rni-idp-soap".
  See Also:
    Constant Field Values

### prof_rni_sp_http

    public static final java.lang.String prof_rni_sp_http

  URI identifying the profile of HTTP-Rediect-Based register name identifier initialized at service provider "http://projectliberty.org/profiles/rni-sp-http".
  See Also:
    Constant Field Values

### prof_rni_sp_soap

    public static final java.lang.String prof_rni_sp_soap

  URI identifying the profile of SOAP/HTTP-Rediect-Based register name identifier initialized at service provider "http://projectliberty.org/profiles/rni-sp-soap".
  See Also:
    Constant Field Values

### prof_fedterm_idp_http

    public static final java.lang.String prof_fedterm_idp_http

  URI identifying the profile of HTTP-Rediect-Based federation termination notification initialized at identity provider "http://projectliberty.org/profiles/fedterm-idp-http".
  See Also:
    Constant Field Values

### prof_fedterm_idp_soap

    public static final java.lang.String prof_fedterm_idp_soap

  URI identifying the profile of SOAP/HTTP-Rediect-Based federation termination notification initialized at identity provider "http://projectliberty.org/profiles/fedterm-idp-soap".
  See Also:
    Constant Field Values

### prof_fedterm_sp_http

    public static final java.lang.String prof_fedterm_sp_http

  URI identifying the profile of HTTP-Rediect-Based federation termination notification initialized at service provider "http://projectliberty.org/profiles/fedterm-sp-http".
  See Also:
    Constant Field Values

### prof_fedterm_sp_soap

    public static final java.lang.String prof_fedterm_sp_soap

  URI identifying the profile of SOAP/HTTP-Rediect-Based federation termination notification initialized at service provider "http://projectliberty.org/profiles/fedterm-sp-soap".
  See Also:
    Constant Field Values

### prof_slo_idp_http

    public static final java.lang.String prof_slo_idp_http

  URI identifying the profile of HTTP-Rediect-Based single logout initialized at identity provider "http://projectliberty.org/profiles/slo-idp-http".
  See Also:
    Constant Field Values

### prof_slo_idp_soap

    public static final java.lang.String prof_slo_idp_soap

  URI identifying the profile of SOAP/HTTP-Rediect-Based single logout initialized at identity provider "http://projectliberty.org/profiles/slo-idp-soap".
  See Also:
    Constant Field Values

### prof_slo_sp_http

    public static final java.lang.String prof_slo_sp_http

  URI identifying the profile of HTTP-Rediect-Based single logout initialized at service provider "http://projectliberty.org/profiles/slo-sp-http".
  See Also:
    Constant Field Values

### prof_slo_sp_soap

    public static final java.lang.String prof_slo_sp_soap

  URI identifying the profile of SOAP/HTTP-Rediect-Based single logout initialized at service provider "http://projectliberty.org/profiles/slo-sp-soap".
  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.